#ifndef __MATERIAL_H
#define __MATERIAL_H



class RgbColor 
{
public:
  float r, g, b;

  RgbColor():r(0.5f),g(0.5f),b(0.5f)
  {
  }

  RgbColor(const float _r,
	   const float _g,
	   const float _b):r(_r),g(_g),b(_b)
  {
  }
  
};


class Material 
{
public:
  RgbColor mDiffuseColor;
  RgbColor mSpecularColor;
  RgbColor mAmbientColor;
  
  Material() 
  {
  }
  
  friend Material RandomMaterial();
  
};




#endif
